namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter06.Listing06_16
{
    class Employee
    {
        private string FirstName;
        // Getter dla pola FirstName.
        public string GetFirstName()
        {
            return FirstName;
        }
        // Setter dla pola FirstName.
        public void SetFirstName(string newFirstName)
        {
            if(newFirstName != null && newFirstName != "")
            {
                FirstName = newFirstName;
            }
        }

        private string LastName;
        // Getter dla pola LastName.
        public string GetLastName()
        {
            return LastName;
        }
        // Setter dla pola LastName.
        public void SetLastName(string newLastName)
        {
            if(newLastName != null && newLastName != "")
            {
                LastName = newLastName;
            }
        }
        // ...
    }
}
